com.amazonaws.services.simpleworkflow.model

## Enum CancelTimerFailedCause

- java.lang.Object
- - java.lang.Enum<CancelTimerFailedCause>
  - - com.amazonaws.services.simpleworkflow.model.CancelTimerFailedCause

All Implemented Interfaces:
  Serializable, Comparable<CancelTimerFailedCause>

    public enum CancelTimerFailedCause
    extends Enum<CancelTimerFailedCause>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OPERATION_NOT_PERMITTED`
`TIMER_ID_UNKNOWN`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CancelTimerFailedCause` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static CancelTimerFailedCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CancelTimerFailedCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TIMER_ID_UNKNOWN

    public static final CancelTimerFailedCause TIMER_ID_UNKNOWN

#### OPERATION_NOT_PERMITTED

    public static final CancelTimerFailedCause OPERATION_NOT_PERMITTED

### Method Detail

#### values

    public static CancelTimerFailedCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CancelTimerFailedCause c : CancelTimerFailedCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CancelTimerFailedCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CancelTimerFailedCause>`

#### fromValue

    public static CancelTimerFailedCause fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  CancelTimerFailedCause corresponding to the value